import { unescapeHTML } from "./escape.js";
const animations = {
  "slide": {
    old: "--astro-animate-old-slideout",
    new: "--astro-animate-new-slidein",
    backOld: "--astro-animate-back-old-slideout-names",
    backNew: "--astro-animate-back-new-slideout-names"
  },
  "fade": {
    old: "--astro-animate-old-fade",
    new: "--astro-animate-new-fade"
  }
};
const transitionNameMap = /* @__PURE__ */ new WeakMap();
function incrementTransitionNumber(result) {
  let num = 1;
  if (transitionNameMap.has(result)) {
    num = transitionNameMap.get(result) + 1;
  }
  transitionNameMap.set(result, num);
  return num;
}
function createTransitionName(result) {
  return `astro-transition-${incrementTransitionNumber(result)}`;
}
function renderTransition(result, hash, animationName, transitionName) {
  if (!animationName) {
    return "";
  }
  const animation = animations[animationName];
  if (!transitionName) {
    transitionName = createTransitionName(result);
  }
  return unescapeHTML(`<style>[data-astro-transition-scope="${hash}"] {
	view-transition-name: ${transitionName};
}
${animationName === "morph" ? "" : `
::view-transition-old(${transitionName}) {
	animation: var(${animation.old});
}
::view-transition-new(${transitionName}) {
	animation: var(${animation.new});
}

${"backOld" in animation && "backNew" in animation ? `
.astro-back-transition::view-transition-old(${transitionName}) {
  animation-name: var(${animation.backOld});
}
.astro-back-transition::view-transition-new(${transitionName}) {
  animation-name: var(${animation.backNew});
}
`.trim() : ""}

`.trim()}
</style>`);
}
export {
  renderTransition
};
